image: sphinxdoc/sphinx:latest

stages:
  - build-docs
  - deploy

################################################################################
# Build Docs
################################################################################
docs:userguide:
  image: sphinxdoc/sphinx:latest
  script:
    - pip install sphinx_rtd_theme sphinx_tabs
    - sphinx-build -b html docs/source_docs/ build/docs
    - sphinx-build -b html docs/picvva/ build/picvva
  stage: build-docs
  except:
    - schedules
  artifacts:
    name: $CI_JOB_NAME
    expire_in: 1 week
    paths:
      - build
  tags:
    - docker

################################################################################
# Deploy
################################################################################
deploy:docs:
  needs: ['docs:userguide']
  image: amazon/aws-cli:latest
  variables:
    DOC_HOME: ${CI_PROJECT_DIR}/doc-staging
  script:
    - mv docs ${DOC_HOME}
    - cd ${DOC_HOME}
    - ls
#    - s3 sync ${DOC_HOME} s3://exa-doc/user-manual/latest --acl public-read
  dependencies:
    - docs:userguide
  except:
    - schedules
  tags:
    - docker
  stage: deploy


